> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Return all transactions

> Retrieve a paginated list of all transactions for the organization.



## OpenAPI

````yaml /swagger/openapi-billing.json post /transaction_report
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Billing API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /transaction_report:
    post:
      tags:
        - Information
      summary: Return all transactions
      description: Retrieve a paginated list of all transactions for the organization.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionReportIn'
      responses:
        '200':
          description: List of transactions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionReportOut'
components:
  schemas:
    TransactionReportIn:
      properties:
        last_transaction_date:
          format: date-time
          title: Last Transaction Date
          type: string
        subs_id:
          format: uuid
          type: string
          nullable: true
        order_id:
          format: uuid
          type: string
          nullable: true
        oneoff_id:
          format: uuid
          type: string
          nullable: true
        limit:
          default: 100
          maximum: 500
          minimum: 1
          title: Limit
          type: integer
      required:
        - last_transaction_date
      title: TransactionReportIn
      type: object
    TransactionReportOut:
      properties:
        transactions:
          description: Transaction info
          items:
            $ref: '#/components/schemas/TransactionOut'
          title: Transactions
          type: array
      required:
        - transactions
      title: TransactionReportOut
      type: object
    TransactionOut:
      properties:
        order_id:
          format: uuid
          title: Order Id
          type: string
        amount:
          anyOf:
            - type: number
            - type: string
          default: null
          title: Amount
          nullable: true
        currency_code:
          type: string
          nullable: true
        pp_id:
          title: Pp Id
          type: integer
        pp_version:
          title: Pp Version
          type: integer
        status:
          title: Status
          type: string
        is_cit:
          title: Is Cit
          type: boolean
        integration_type:
          title: Integration Type
          type: string
        region:
          title: Region
          type: string
        trx_id:
          format: uuid
          type: string
          nullable: true
        psp:
          type: string
          nullable: true
        psp_transaction_id:
          type: string
          nullable: true
        amount_usd:
          anyOf:
            - type: number
            - type: string
          default: null
          title: Amount Usd
          nullable: true
        is_fallback:
          type: boolean
          nullable: true
        psp_merchant_id:
          type: string
          nullable: true
        psp_transaction_type:
          type: string
          nullable: true
        psp_status:
          type: string
          nullable: true
        psp_date:
          format: date-time
          type: string
          nullable: true
        psp_card_token_type:
          type: string
          nullable: true
        psp_reason_message:
          type: string
          nullable: true
        psp_reason_type:
          type: string
          nullable: true
        psp_reason_code:
          type: string
          nullable: true
        psp_reason_decline_type:
          type: string
          nullable: true
        trx_created_at:
          format: date-time
          type: string
          nullable: true
        meta_subs_id:
          type: string
          nullable: true
        meta_subs_iteration:
          type: string
          nullable: true
        meta_retry_step:
          type: string
          nullable: true
        meta_oneoff_id:
          type: string
          nullable: true
        meta_client_ff_project_id:
          type: string
          nullable: true
        meta_client_ff_session_id:
          type: string
          nullable: true
        meta_client_ff_price_id:
          type: string
          nullable: true
        meta_client:
          type: object
          additionalProperties: {}
          nullable: true
          description: Full client metadata dictionary from the order.
        pm_type:
          type: string
          nullable: true
        threeds_challenge_issued:
          type: boolean
          nullable: true
        threeds_protocol_version:
          type: string
          nullable: true
        threeds_response_code:
          type: string
          nullable: true
        threeds_reason_code:
          type: string
          nullable: true
        threeds_reason_text:
          type: string
          nullable: true
        authorization_type:
          type: string
          nullable: true
        is_vaulted:
          type: boolean
          nullable: true
        pm_data_bin_account_funding_type:
          type: string
          nullable: true
        pm_data_bin_account_number_type:
          type: string
          nullable: true
        pm_data_bin_issuer_name:
          type: string
          nullable: true
        pm_data_bin_issuer_country_code:
          type: string
          nullable: true
        pm_data_bin_issuer_currency_code:
          type: string
          nullable: true
        network:
          type: string
          nullable: true
        pm_data_bin_prepaid_reloadable_indicator:
          type: string
          nullable: true
        pm_data_bin_product_code:
          type: string
          nullable: true
        pm_data_bin_product_name:
          type: string
          nullable: true
        pm_data_bin_product_usage_type:
          type: string
          nullable: true
        pm_data_bin_regional_restriction:
          type: string
          nullable: true
        pm_data_expiration_date:
          type: string
          nullable: true
        pm_data_first6:
          type: string
          nullable: true
        pm_data_last4:
          type: string
          nullable: true
        pm_data_is_network_tokenized:
          type: boolean
          nullable: true
      required:
        - order_id
        - pp_id
        - pp_version
        - status
        - is_cit
        - integration_type
        - region
      title: TransactionOut
      type: object
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Billing API. Required for all requests.

````